@charset "utf-8";

/* ============================================================
   ★★★  피씨, 모바일 공통 사용파일 ★★★
   ============================================================ */

/* ============================================================
   폰트, 변수, 기본 글자 스타일, focus
   Figma 변수명 → 소문자 변환해서 CSS에 정의
   ============================================================ */


/* ---------------- design tokens ---------------- */
:root {
  /* -- Color / Text -- */
  --color-text-default: #000;
  --color-text-subtle: #333;
  --color-text-secondary: #666;
  --color-text-tertiary: #999;
  --color-text-disabled: #b2b2b2;
  --color-text-inverse: #fff;
  --color-text-error: #e51a1a;
  --color-text-point: #e4541b;
  --color-text-success: #1e4eed;

  /* -- Color / Select -- */
  --color-select-surface: #fff;
  --color-select-border-active: var(--color-input-border-active);

  /* -- Color / Button -- */
  --color-button-tertiary-fill: var(--color-background-default);
  --color-button-tertiary-fill-hover: var(--color-background-secondary);
  --color-button-tertiary-border: var(--color-border-subtle);

  /* 260601_추가 s */
  --color-button-primary-fill: #1a1a1a;
  --color-button-primary-fill-hover: #000;
  --color-button-primary-fill-pressed: #333;
  --color-button-secondary-fill: #f5f5f5;
  --color-button-secondary-fill-hover: #e5e5e5;
  --color-button-secondary-fill-pressed: #d9d9d9;
  /*260601_추가 e */

  /* -- Color / Input -- */
  --color-input-surface: #fff;
  --color-input-border: #d9d9d9;
  --color-input-border-active: #4d4d4d;
  --color-input-border-error: #e51a1a;
  --color-input-disabled-surface: #f5f5f5;
  --color-input-disabled-border: #d9d9d9;

  /* -- Color / Icon -- */
  --color-icon-default: #000;
  --color-icon-disabled: #b2b2b2;
  --color-icon-inverse: #fff;

  /* -- Color / Background -- */
  --color-background-default: #fff;
  --color-background-secondary: #f5f5f5;
  /*260601_추가 : tertiary */
  --color-background-tertiary: #e5e5e5;
  --color-background-disabled: #f5f5f5;
  --color-background-point-subtle: rgba(228, 84, 27, 0.05);   /* Label/Point 배경 */

  /* -- Color / Border -- */
  --color-border-default: #d9d9d9;
  --color-border-subtle: #4d4d4d;
  --color-border-secondary: #e5e5e5;
      /*260601_추가 : tertiary */
  --color-border-tertiary: #f5f5f5;
  --color-border-disabled: #d9d9d9;
  --color-border-negative: #e51a1a;

  /* -- Layout / Radius -- */
  --layout-radius-xsmall: 2px;
  --layout-radius-small: 4px;
  --layout-radius-medium: 6px;
  --layout-radius-large: 8px;
  --layout-radius-xlarge: 12px;
  --layout-radius-xxlarge: 16px;
  --layout-radius-circle: 999px;

  /* -- Layout / Shadow -- */
  --shadow-strong: 0 0 10px rgba(0, 0, 0, 0.25);

  /* -- Layout / Spacing -- */
  --layout-gap: 20px;

  /* -- Typescale -- */
  --typescale-font-family: 'Pretendard', sans-serif;
  --typescale-letter-spacing: -0.02px;
  --typescale-heading-small-letter-spacing: -0.02px;

  /* Heading XLarge */
  --typescale-heading-xlarge-size: 32px;
  --typescale-heading-xlarge-weight: 500;
  --typescale-heading-xlarge-line-height: 42px;

  /* Heading Large */
  --typescale-heading-large-size: 28px;
  --typescale-heading-large-weight: 600;
  --typescale-heading-large-line-height: 38px;

  /* Heading Medium */
  --typescale-heading-medium-size: 24px;
  --typescale-heading-medium-weight: 600;
  --typescale-heading-medium-line-height: 34px;

  /* Heading Small */
  --typescale-heading-small-size: 20px;
  --typescale-heading-small-weight: 600;
  --typescale-heading-small-line-height: 30px;

  /* Body XLarge */
  --typescale-body-xlarge-size: 18px;
  --typescale-body-xlarge-weight: 400;
  --typescale-body-xlarge-weight-emphasized: 600;

  /*260601_추가 : xlarge emphasized-2*/
  --typescale-body-xlarge-weight-emphasized-2: 600;

  --typescale-body-xlarge-line-height: 26px;

  /* Body Large */
  --typescale-body-large-size: 16px;
  --typescale-body-large-weight: 400;
  --typescale-body-large-weight-emphasized: 500;

  /*260601_추가 : large emphasized-2*/
  --typescale-body-large-weight-emphasized-2: 600;

  --typescale-body-large-line-height: 24px;

  /* Body Medium */
  --typescale-body-medium-size: 15px;
  --typescale-body-medium-weight: 400;
  --typescale-body-medium-weight-emphasized: 500;

  /*260601_추가 : emphasized-2*/
  --typescale-body-medium-weight-emphasized-2: 600;

  --typescale-body-medium-line-height: 24px;

  /* Body Small */
  --typescale-body-small-size: 14px;
  --typescale-body-small-weight: 400;
  --typescale-body-small-weight-emphasized: 500;
  --typescale-body-small-line-height: 22px;

  /* Body XSmall */
  --typescale-body-xsmall-size: 13px;
  --typescale-body-xsmall-weight: 400;
  --typescale-body-xsmall-weight-emphasized: 500;
  --typescale-body-xsmall-line-height: 22px;

  /* Caption Medium */
  --typescale-caption-medium-size: 13px;
  --typescale-caption-medium-weight: 400;
  --typescale-caption-medium-weight-emphasized: 500;
  --typescale-caption-medium-line-height: 22px;

  /* Caption Small */
  --typescale-caption-small-size: 12px;
  --typescale-caption-small-weight: 400;
  --typescale-caption-small-weight-emphasized: 500;
  --typescale-caption-small-line-height: 22px;
}


/* ---------------- font ---------------- */
/*---Pretendard---*/
 @font-face {
  font-family: 'Pretendard';
  font-weight: 900;
  font-display: swap;
  src: local('Pretendard Black'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-Black.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-Black.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 800;
  font-display: swap;
  src: local('Pretendard ExtraBold'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-ExtraBold.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-ExtraBold.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 700;
  font-display: swap;
  src: local('Pretendard Bold'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-Bold.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-Bold.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 600;
  font-display: swap;
  src: local('Pretendard SemiBold'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-SemiBold.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-SemiBold.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 500;
  font-display: swap;
  src: local('Pretendard Medium'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-Regular.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-Regular.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 400;
  font-display: swap;
  src: local('Pretendard Regular'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-Regular.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-Regular.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 300;
  font-display: swap;
  src: local('Pretendard Regular'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-Regular.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-Regular.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 200;
  font-display: swap;
  src: local('Pretendard ExtraLight'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-ExtraLight.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-ExtraLight.subset.woff) format('woff');
}

@font-face {
  font-family: 'Pretendard';
  font-weight: 100;
  font-display: swap;
  src: local('Pretendard Thin'), url(../../font/Pretendard-1.3.9/woff2-subset/Pretendard-Thin.subset.woff2) format('woff2'), url(../../font/Pretendard-1.3.9/woff-subset/Pretendard-Thin.subset.woff) format('woff');
}



/* ---------------- typography ---------------- */
body {
  font-family: var(--typescale-font-family);
  background-color: #fff;
  font-size: var(--typescale-body-medium-size);
  line-height: var(--typescale-body-medium-line-height);
  color: var(--color-text-default);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* ---------------- focus ---------------- */

button:focus-visible,
a:focus-visible,
input:focus-visible,
textarea:focus-visible,
select:focus-visible {
  outline: 1px solid #111;
  outline-offset: 2px;
}
